<?php
 
 
 

namespace Google\Protobuf;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;











































































class Any extends \Google\Protobuf\Internal\AnyBase
{
    



























    protected $type_url = '';
    




    protected $value = '';

    


































    public function __construct($data = NULL) {
        \GPBMetadata\Google\Protobuf\Any::initOnce();
        parent::__construct($data);
    }

    




























    public function getTypeUrl()
    {
        return $this->type_url;
    }

    





























    public function setTypeUrl($var)
    {
        GPBUtil::checkString($var, True);
        $this->type_url = $var;

        return $this;
    }

    





    public function getValue()
    {
        return $this->value;
    }

    






    public function setValue($var)
    {
        GPBUtil::checkString($var, False);
        $this->value = $var;

        return $this;
    }

}

